<%
css = "\n".join([
    '<link rel="stylesheet" href="static/css/commons/pure.css"/>',
    '<link rel="stylesheet" href="static/css/commons/grids-responsive.css"/>',
    '<link rel="stylesheet" href="static/css/commons/utils.css">',
    '<link rel="stylesheet" href="static/css/commons/style-ism-light.css"  />',
    '<link rel="stylesheet" href="static/css/commons/apps.css">',
    '<link rel="stylesheet" href="static/css/idat.css">',
    '<link rel="stylesheet" href="static/css/import.css">'
])
include('header.tpl', css_links = css)
%>

<div class="content">
  <div class="pure-g help-area">
    <div class="pure-u-21-24"></div>
    <div class="pure-u-3-24 menu">
      <div class="center">
        <div class="tag">
          <a href="{{service_uri}}/ui/help">Help</a>
        </div>
      </div>
    </div>
  </div>
  <div class="pure-g content">
    <div class="pure-u-1 content-header">
      <h2><span>IDAT:</span><span class="lighter-text"> Data analysis</span></h2>
      <h4><span id="page_type"></span></h4>
      <div id="filename" class="filename"></div>          
    </div>
    <div class="pure-u-1 uploader">
      <form id="hdf_selector_form" enctype="multipart/form-data"
                                   action="{{service_uri}}/import" 
                                   method="post" target="_blank">
        <div class="pure-g">
          <!--
            <div class="pure-u-1">
            <h2 class="mbottom10">Select from pre-loaded files</h2>
            <select name="lfname">
            <option value=""></option>
            % for fn in f_l:
            <option value="{{fn}}">{{ fn }}</option>
            % end
            </select>
            </div>
            <div class="pure-u-1">
            <div class="mtop30 mbottom30 em3 flexr flex1center flex2center">
            - OR -
            </div>
            </div>
            //-->
            <div class="pure-u-1">
              <h3 class="mbottom20">Upload new file</h3>
              <input id="image_file" type="file" 
                                     name="file" 
                                     accept="{{','.join(['.'+e for e in allowed_ext])}}"/>
            </div>
            <div class="pure-u-1">
              <input id="submit_form" type="submit"  
                                      value="Load data" />
            </div>
        </div>
      </form>
    </div>  
  </div>

</div>

<script>
  if(window.location.href.includes("localhost") || window.location.href.includes("127.0.0.1")){
      document.getElementById("page_type").innerHTML = 'Local version';
    }
</script>

% include('footer.tpl')


