#!/bin/sh

awhile=4
uri=$1

absp() {
    $PYTHON -c "import os; print(os.path.abspath('$1'))"
}

opwd="$(pwd)"
da_home=$(dirname "$(absp "$0")")
cd "$da_home"

if [ "$#" -eq 2 -a "$2" = "--server" ]; then
    sleep $awhile && echo "the app can be reached at $uri" &
else
    sleep $awhile && $PYTHON start_webbrowser.py $uri & 
fi

$PYTHON src/server/lib/serv.py

cd "$opwd"
