#!/bin/bash

SRC_DIR="web_extractor"
RES_DIR="$SRC_DIR.dist"

cd ..

rm -rf "./$RES_DIR"
cp -rL "./$SRC_DIR" "./$RES_DIR"

rm "./$RES_DIR/src/server/activity."*
rm -r "./$RES_DIR/"*.esf
rm -r "$RES_DIR/"*.yml
rm "$RES_DIR/material/data/"*
rm "$RES_DIR/material/output/"*
rm -rf "$RES_DIR/src/server/lib/ismvoca/.git"

touch  "$RES_DIR/material/data/README.md"
touch  "$RES_DIR/material/dictionaries/README.md"
touch  "$RES_DIR/material/output/README.md"

rm -rf "$RES_DIR/.git"
rm -rf "$RES_DIR/build_extractor.sh"
tar zcvf "$SRC_DIR.tgz" "$RES_DIR"
